// Documentation files
import AppBar from 'react-toolbox/app_bar/readme';
import Autocomplete from 'react-toolbox/autocomplete/readme';
import Avatar from 'react-toolbox/avatar/readme';
import Button from 'react-toolbox/button/readme';
import Card from 'react-toolbox/card/readme';
import Checkbox from 'react-toolbox/checkbox/readme';
import Chip from 'react-toolbox/chip/readme';
import DatePicker from 'react-toolbox/date_picker/readme';
import Dialog from 'react-toolbox/dialog/readme';
import Drawer from 'react-toolbox/drawer/readme';
import Dropdown from 'react-toolbox/dropdown/readme';
import FontIcon from 'react-toolbox/font_icon/readme';
import Input from 'react-toolbox/input/readme';
import Layout from 'react-toolbox/layout/readme';
import Link from 'react-toolbox/link/readme';
import List from 'react-toolbox/list/readme';
import Menu from 'react-toolbox/menu/readme';
import Navigation from 'react-toolbox/navigation/readme';
import ProgressBar from 'react-toolbox/progress_bar/readme';
import RadioGroup from 'react-toolbox/radio/readme';
import Ripple from 'react-toolbox/ripple/readme';
import Slider from 'react-toolbox/slider/readme';
import Snackbar from 'react-toolbox/snackbar/readme';
import Switch from 'react-toolbox/switch/readme';
import Table from 'react-toolbox/table/readme';
import Tabs from 'react-toolbox/tabs/readme';
import Tooltip from 'react-toolbox/tooltip/readme';
import TimePicker from 'react-toolbox/time_picker/readme';

// Examples for the Playground
import AppBarExample1 from './examples/app_bar_example_1.txt';
import AutocompleteExample1 from './examples/autocomplete_example_1.txt';
import AvatarExample1 from './examples/avatar_example_1.txt';
import ButtonExample1 from './examples/button_example_1.txt';
import CardExample1 from './examples/card_example_1.txt';
import ChipExample1 from './examples/chip_example_1.txt';
import CheckboxExample1 from './examples/checkbox_example_1.txt';
import DatePickerExample1 from './examples/datepicker_example_1.txt';
import DialogExample1 from './examples/dialog_example_1.txt';
import DrawerExample1 from './examples/drawer_example_1.txt';
import DrodpownExample1 from './examples/dropdown_example_1.txt';
import FontIconExample1 from './examples/font_icon_example_1.txt';
import InputExample1 from './examples/input_example_1.txt';
import LinkExample1 from './examples/link_example_1.txt';
import ListExample1 from './examples/list_example_1.txt';
import MenuExample1 from './examples/menu_example_1.txt';
import NavigationExample1 from './examples/navigation_example_1.txt';
import ProgressBarExample1 from './examples/progressbar_example_1.txt';
import RadioExample1 from './examples/radio_example_1.txt';
import SliderExample1 from './examples/slider_example_1.txt';
import RippleExample1 from './examples/ripple_example_1.txt';
import SnackbarExample1 from './examples/snackbar_example_1.txt';
import SwitchExample1 from './examples/switch_example_1.txt';
import TableExample1 from './examples/table_example_1.txt';
import TabsExample1 from './examples/tabs_example_1.txt';
import TooltipExample1 from './examples/tooltip_example_1.txt';
import TimePickerExample1 from './examples/timepicker_example_1.txt';

export default {
  app_bar: {
    name: 'App Bar',
    docs: AppBar,
    path: '/components/app_bar',
    examples: [AppBarExample1]
  },
  autocomplete: {
    name: 'Autocomplete',
    docs: Autocomplete,
    path: '/components/autocomplete',
    examples: [AutocompleteExample1]
  },
  avatar: {
    name: 'Avatar',
    docs: Avatar,
    path: '/components/avatar',
    examples: [AvatarExample1]
  },
  button: {
    name: 'Button',
    docs: Button,
    path: '/components/button',
    examples: [ButtonExample1]
  },
  card: {
    name: 'Card',
    docs: Card,
    path: '/components/card',
    examples: [CardExample1]
  },
  chip: {
    name: 'Chip',
    docs: Chip,
    path: '/components/chip',
    examples: [ChipExample1]
  },
  checkbox: {
    name: 'Checkbox',
    docs: Checkbox,
    path: '/components/checkbox',
    examples: [CheckboxExample1]
  },
  date_picker: {
    name: 'Date Picker',
    docs: DatePicker,
    path: '/components/date_picker',
    examples: [DatePickerExample1]
  },
  dialog: {
    name: 'Dialog',
    docs: Dialog,
    path: '/components/dialog',
    examples: [DialogExample1]
  },
  drawer: {
    name: 'Drawer',
    docs: Drawer,
    path: '/components/drawer',
    examples: [DrawerExample1]
  },
  dropdown: {
    name: 'Dropdown',
    docs: Dropdown,
    path: '/components/dropdown',
    examples: [DrodpownExample1]
  },
  font_icon: {
    name: 'Font Icon',
    docs: FontIcon,
    path: '/components/font_icon',
    examples: [FontIconExample1]
  },
  input: {
    name: 'Input',
    docs: Input,
    path: '/components/input',
    examples: [InputExample1]
  },
  layout: {
    name: 'Layout',
    docs: Layout,
    path: '/components/layout'
  },
  link: {
    name: 'Link',
    docs: Link,
    path: '/components/link',
    examples: [LinkExample1]
  },
  list: {
    name: 'List',
    docs: List,
    path: '/components/list',
    examples: [ListExample1]
  },
  menu: {
    name: 'Menu',
    docs: Menu,
    path: '/components/menu',
    examples: [MenuExample1]
  },
  navigation: {
    name: 'Navigation',
    docs: Navigation,
    path: '/components/navigation',
    examples: [NavigationExample1]
  },
  progress_bar: {
    name: 'Progress Bar',
    docs: ProgressBar,
    path: '/components/progress_bar',
    examples: [ProgressBarExample1]
  },
  radio_group: {
    name: 'Radio Buttons',
    docs: RadioGroup,
    path: '/components/radio_group',
    examples: [RadioExample1]
  },
  ripple: {
    name: 'Ripple',
    docs: Ripple,
    path: '/components/ripple',
    examples: [RippleExample1]
  },
  slider: {
    name: 'Slider',
    docs: Slider,
    path: '/components/slider',
    examples: [SliderExample1]
  },
  snackbar: {
    name: 'Snackbar',
    docs: Snackbar,
    path: '/components/snackbar',
    examples: [SnackbarExample1]
  },
  switch: {
    name: 'Switch',
    docs: Switch,
    path: '/components/switch',
    examples: [SwitchExample1]
  },
  table: {
    name: 'Table',
    docs: Table,
    path: '/components/table',
    examples: [TableExample1]
  },
  tabs: {
    name: 'Tabs',
    docs: Tabs,
    path: '/components/tabs',
    examples: [TabsExample1]
  },
  tooltip: {
    name: 'Tooltip',
    docs: Tooltip,
    path: '/components/tooltip',
    examples: [TooltipExample1]
  },
  time_picker: {
    name: 'Time Picker',
    docs: TimePicker,
    path: '/components/time_picker',
    examples: [TimePickerExample1]
  }
};
